
------------------------------Tache------------------------------------

3 grand axe d'étude:

représentation 3D, pour l'instant on continue d'utiliser Plotly, avec éventuellement une application web avec la bibliothèque Dash

Réseau de neurone pour l'interpolation des dataset (dev matériel en VHDL)

Algorithme-SPI

2 étapes :

-Point of interest search : recherche d'un défaut dans la pièce avec un profil de scannage de la pièce défini ou pseudo-aléatoire

-Point of interest scan : caractérisation du ou des défauts qui seront représenter par des points d'intêrets.


Secondaire : 

Comparé les traitement entre pytohn et matlab en les correllant et dire qu'il sont à ..% différent et les superposés.


------------------------------Tache------------------------------------


------------------------------Biblio-----------------------------------

Papier vue

A method for the geometric calibration of ultrasound transducer arrays with arbitrary geometries
https://www.sciencedirect.com/science/article/pii/S2213597923000733
-premier mention de k wave

Three-dimensional ultrasound matrix imaging
https://www.nature.com/articles/s41467-023-42338-8
-a lire mentionne l'imagerie 3D avec un réseau 3D de transducteur

A Sparse Reconstruction Algorithm for Ultrasonic Images in Nondestructive Testing
https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4431274/
A relire, mais aborde des question intéressante sur le filtrage avec différentes méthodes
(b) SAFT; (c) ω-k SAFT; (d) RLS and (e) UTSR <- celle développé dans le papier

Low frequency ultrasonic dataset for pulse echo object detection in an isotropic homogeneous medium as reference for heterogeneous materials in civil engineering
https://www.ncbi.nlm.nih.gov/pmc/articles/PMC9108879/
étude dont il serait intéressant de récupérer le data set, proposer par Hassan Rabah


Dataset for structural health monitoring of pipelines using ultrasonic guided waves
https://www.ncbi.nlm.nih.gov/pmc/articles/PMC9747640/
pareil, a voir pour récupérer le data set, proposer par Slavisa Jovanovic

------------------------------Biblio-----------------------------------


------------------------------Tuto-------------------------------------
 
apprendre openGL
https://opengl.developpez.com/tutoriels/apprendre-opengl/


camera
https://opengl.developpez.com/tutoriels/apprendre-opengl/?page=camera

le but de l'utilisation de openGl est d'in fine de développer un outil d'imagerie 3D pour représenter sous forme de voxel les set de data générer ou mesurer.

------------------------------Tuto-------------------------------------


------------------------------Note-------------------------------------

k wave
pour la simulation d'onde sonore, première introduction à la représentation de voxel dans Matlab.


OpenCV n'est pas forcement pertinent pour le moment l'outil à été élaborer surtout pour faire du traitement d'image.


Pour la suite du stage il sera intéressant voir nécessaire de se familiariser avec les méthode de filtrage pour ensuite en faire une implémentation FPGA si le temps nous le permet.

Pour un préambule de solution, pourquoi ne pas imaginé un système capable de faire tourner un os (raspberry pi) et en parallèle d'un FPGA qui ferais le gros des calculs (de filtrage par exemple)

Pour être très optimiste sur la suite de ce projet, imaginons un FPGA reconfigurable à la volée en fonction du type de filtrage que l'utilisateur souhaiterais utiliser dans sont système.

algorithme de contrôle vraiment nécessaire ? 

d'abord penser à une méthode de reconstruction 3D en temps réel, quel 'artefact' complète un objet, lequel n'est qu'un bruit donc devra être filtré.

Acquisition(controler ou non par un algo) -> traitement (Hilbert, filtrage) -> reconstruction 3D -> interpolation (potentielement à la fin de l'acquisition ?) -> affichage

------------------------------Note-------------------------------------

